<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolDeleteCElement" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolDeleteCElement</refname>

    <refpurpose>remove the specified compensator element (pole, zero,
    ...).</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>S = sisotoolDeleteCElement(S,compensatorName,componentType,ind) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>S</term>

        <listitem>
          <para>The <link linkend="sisotoolSessionData">session data
          structure</link>.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>compensatorName</term>

        <listitem>
          <para>A character string, the name of the specified tunable block
          (C, F, C1, C2,...).</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>componentType</term>

        <listitem>
          <para>A character string, the specified type of component
          (<literal>"Pole"</literal>, <literal>"Zero"</literal>,
          <literal>"Lead"</literal>, <literal>"Lag"</literal> or
          <literal>"Notch"</literal>).</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>ind</term>

        <listitem>
          <para>The index of the specified component element.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>S</term>

        <listitem>
          <para>The <link linkend="sisotoolSessionData">session data
          structure</link>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Remove the specified compensator element (pole, zero, ...).</para>
  </refsection>
</refentry>
